# EXTRAS
## LDAP
To enable the ldap php extension, put [Dockerfile](Dockerfile) in ./build/ and run 
`docker compose build` with following extra line in `docker-compose.yml`:
```
services:
  wordpress:
    build: ./build/
```

`ldapsearch` from the Debian package ldap-utils can be used to run queries for testing, e.g.:
ldapsearch -x -H 'ldap://ldap.example.com' -b 'cn=users,dc=example,dc=com' 'cn=johndoe'
#### Additional php settings
EXTRAS folder contains a sample config.ini. To make use of it put it in the ./data/conf folder and add following line in `docker-compose.yml`:
```

To list installed php externsions, run: 
docker exec -it <container_name> sh -c 'php -r "print_r(get_loaded_extensions());"'




## Custom php configuration
To add you custom php configuration, put [config.ini](config.ini) in ./conf/ and
add following extra line in `docker-compose.yml`:
```
services:
  wordpress:
    volumes:
      - ./conf/custom.ini:/usr/local/etc/php/conf.d/custom.ini:ro

```
